Subject: Re: FSL MSI Mapping

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Fri, 31 Oct 2014 12:28:20 +0100

On 10/31/2014 09:12 AM, Johannes Thumshirn wrote:
> On Thu, Oct 30, 2014 at 02:51:57PM +1100, Michael Ellerman wrote:
>> Why would you not use MSI-X ?

If I'm not mistaken, a PCI-E requirement is to support MSI but MSI-X is
optional. And with MSI you can have multiple interrupts per single
device (power of two, max 32).
Now imagine you have a FPGA with two (or more) different devices in it
and you don't want them to share the IRQ line (for $reason). I bet the
HW developer sees MSI and MSI-X and the former is for some reason
cheaper compared to MSI-X and it fits the needs. So…

> 
> Does anyone (especially the original author) have any objections if I re-spin
> the patch series?

I didn't get around to address the review comments so it did not went
in and there was no v2. Feel free re-do the series.

Sebastian